Sound device not detected on Nvidia card using nouveau driver

Bug #1170315 reported by Paul Hewlett
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

I upgraded from 12.10 to 13.04. The HDMI device on my Nvidia graphics card disappeared. I have the following:

- tried the Nvidia-310, Nvidia-304 drivers
- reverted to the Nouveau driver
- purged and re-installed pulseaudio.

I also ran pavucontrol - this allowed me to specify the HDMI channel 3 (which corresponded to the Nvidia card) in the configuration
and I then ran the Sound settings dialog from System Settings. Sound still did not work.

Incidental issues which may or may not be important:

- rebooting the PC is flaky - some times the system just hangs waiting for the network card to configure. -
- I once had a kernel panic because of an illegal paging request from the snd-hda-intel driver

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: pulseaudio 1:3.0-0ubuntu5
ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
Uname: Linux 3.8.0-18-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: paul 5631 F.... pulseaudio
 /dev/snd/controlC1: paul 5631 F.... pulseaudio
Date: Thu Apr 18 12:14:43 2013
InstallationDate: Installed on 2012-12-10 (129 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
SourcePackage: pulseaudio
Symptom: audio
Symptom_Card: HDA-Intel - HDA NVidia
Symptom_Jack: Digital Out, HDMI
Title: [MotherBoard H67ITX-C-E, Nvidia GPU 0b HDMI/DP, Digital Out, HDMI] Pulseaudio fails to detect card
UpgradeStatus: Upgraded to raring on 2013-04-15 (2 days ago)
dmi.bios.date: 04/13/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4.6.4
dmi.board.asset.tag: NA
dmi.board.name: H67ITX-C-E
dmi.board.vendor: ZOTAC
dmi.board.version: 02/03/05
dmi.chassis.asset.tag: NA
dmi.chassis.type: 3
dmi.chassis.vendor: NA
dmi.chassis.version: NA
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4.6.4:bd04/13/2012:svnMotherBoardByZOTAC:pnMotherBoardH67ITX-C-E:pvrMotherBoard02/03/05:rvnZOTAC:rnH67ITX-C-E:rvr02/03/05:cvnNA:ct3:cvrNA:
dmi.product.name: MotherBoard H67ITX-C-E
dmi.product.version: MotherBoard 02/03/05
dmi.sys.vendor: MotherBoard By ZOTAC

Revision history for this message
Paul Hewlett (phewlett76) wrote :
Revision history for this message
Paul Hewlett (phewlett76) wrote :
Revision history for this message
Paul Hewlett (phewlett76) wrote :
Revision history for this message
Paul Hewlett (phewlett76) wrote :

I followed this link : https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS and installed the package.

My Nvidia device has now moved from Card 2 to Card 1 and the system settings->sounds dialog now shows a HDMI/displayport 2 device.

I no longer get random crashes of the kernel from snd_hda_intel module.

Pulse audio no longer reports that it cannot initialise the device. Current error report from pulseaudio is:

Apr 22 12:43:28 Feynmann pulseaudio[3089]: [pulseaudio] source.c: Default and alternate sample rates are the same.
Apr 22 12:43:33 Feynmann pulseaudio[3694]: [pulseaudio] source.c: Default and alternate sample rates are the same.
Apr 22 12:43:33 Feynmann pulseaudio[3694]: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
Apr 22 12:43:33 Feynmann pulseaudio[3694]: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.
Apr 22 12:43:33 Feynmann pulseaudio[3735]: [pulseaudio] pid.c: Daemon already running.
Apr 22 12:50:04 Feynmann pulseaudio[4982]: [pulseaudio] source.c: Default and alternate sample rates are the same.
Apr 22 12:50:04 Feynmann pulseaudio[4982]: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
Apr 22 12:50:04 Feynmann pulseaudio[4982]: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.

Which does not look serious.

However sound still does not work.

Revision history for this message
David Henningsson (diwic) wrote : Re: [pulseaudio-discuss] No sound on upgrading to Ubuntu 13.04

Hi Paul,

The OOPS in comment #2 is definitely same as bug 1169984.

As for HDMI Audio + Nouveau, I don't know much about how well it works;
I usually recommend people to use proprietary drivers for both Nvidia
and ATI/AMD.

On 04/22/2013 02:09 PM, Paul Hewlett wrote:
> Hi David
>
> I have concluded that this is not pulseaudio - the fault is not finding
> a working profile (which is alsa)
>
> I installed the latest alsa drivers and now the 'work profile' error
> message no longer appears.
>
> I have reported this in
> https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1170315
>
> Sound still does not work...
>
> Regards
> Paul
>
>
>
> On 22 April 2013 10:23, David Henningsson
> <<email address hidden>
> <mailto:<email address hidden>>> wrote:
>
> On 04/20/2013 06:03 PM, Paul Hewlett wrote:
>
>
> Hi all
>
> In a fit of madness I upgraded to 13.04 and now my sound on my
> Nvidia
> card is not recognised.
>
> The error I get is:
>
> Apr 20 16:45:44 Feynmann pulseaudio[9714]: [pulseaudio]
> module.c: Failed
> to load module "module-alsa-card" (argument: "device_id="2"
> name="pci-0000_01_00.1" card_name="alsa_card.pci-0000___01_00.1"
> namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no
> deferred_volume=yes use_ucm=no
> card_properties="module-udev-__detect.discovered=1""):
> initialization failed.
> Apr 20 16:45:44 Feynmann pulseaudio[9714]: [pulseaudio] source.c:
> Default and alternate sample rates are the same.
> Apr 20 16:45:44 Feynmann pulseaudio[9714]: [pulseaudio] module.c:
> module-combine is deprecated: Please use module-combine-sink
> instead of
> module-combine!
> Apr 20 16:45:44 Feynmann pulseaudio[9714]: [pulseaudio]
> module-combine.c: We will now load module-combine-sink. Please
> make sure
> to remove module-combine from your configuration.
>
> The error seems to be the identical default and alternate sample
> rates ....
>
> Can anyone point me in the right direction on how to change
> this? I have
> tried 'paman', 'pavucontrol' and others to no avail.
>
> AFAICS the pulseaudio is configured to use module-udev-detect
> which in
> turn loads module-alsa-card.
>
> Any pointers appreciated
>
>
> https://bugs.launchpad.net/__ubuntu/+source/linux/+bug/__1169984
> <https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1169984>
>
> ...seems to hit a lot of machines recently. I've submitted a fix but
> it is not yet released through the archive.
>
>
> --
> David Henningsson, Canonical Ltd.
> https://launchpad.net/~diwic
>
>
>
>
> --
> Tel: +44 79 8532 7353
> LinkedIn: http://uk.linkedin.com/pub/paul-hewlett/0/629/9b4
>
>

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Revision history for this message
Paul Hewlett (phewlett76) wrote :

Sound now works when I use the 'aplay' command.

/usr/share/sounds/speech-dispatcher/test.wav
Playing WAVE '/usr/share/sounds/speech-dispatcher/test.wav' : Signed 16 bit Little Endian, Rate 16000 Hz, Mono

The major issue seems to be fixed.

However playing a test sound from the 'System settings->sound' dialog still does not work. No indication why.

Revision history for this message
Paul Hewlett (phewlett76) wrote :

Seeing as 13.04 is officially released I uninstalled the oem-audio-hda-daily-dkms_0.201304220024~raring1_all.deb pacakage as recommended. Sound has now disappeared.

So this is a critical bug for my setup - the latest alsa drivers should become the default (oem-audio-hda-daily-dkms_0.201304220024~raring1_all.deb) at least in my case

Revision history for this message
madbiologist (me-again) wrote :

There was a fix for the no HDMI audio on Raring issue (reported in bug 1169984) in the Raring 3.8.0-22.33 kernel update a while ago. If you still have no HDMI audio, and you have an NV84 or NVA3 chip (see http://nouveau.freedesktop.org/wiki/CodeNames/) this should be fixed in the upstream 3.10 kernel for the NV84. There is a corresponding patch for the NVA3 which will be included either in the upstream 3.11 kernel or the upstream 3.12 kernel. PPA's of these kernels can/will be found at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall them are at https://wiki.ubuntu.com/Kernel/MainlineBuilds

Revision history for this message
Raymond (superquad-vortex2) wrote :
Download full text (5.0 KiB)

[ 8.868893] BUG: unable to handle kernel paging request at ffff88042428ffe0
[ 8.869379] IP: [<ffffffffa0637730>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 8.869814] PGD 4c0e063 PUD bf4d1067 PMD 4240df063 PTE 800000042428f161
[ 8.870245] Oops: 0003 [#1] SMP
[ 8.870671] Modules linked in: coretemp kvm_intel kvm gpio_ich snd_hda_codec_hdmi snd_hda_codec_realtek nvidia(POF) uvcvideo videobuf2_vmalloc dm_multipath(F) videobuf2_memops scsi_dh(F) videobuf2_core videodev arc4(F) snd_hda_intel(+) snd_usb_audio snd_hda_codec snd_usbmidi_lib rt2800pci snd_hwdep(F) rt2800lib snd_pcm(F) rt2x00pci joydev(F) rt2x00lib snd_page_alloc(F) parport_pc(F) snd_seq_midi(F) mac80211 snd_seq_midi_event(F) microcode(F) ppdev(F) snd_rawmidi(F) cfg80211 bnep serio_raw(F) rfcomm snd_seq(F) snd_seq_device(F) bluetooth snd_timer(F) lpc_ich eeprom_93cx6 crc_ccitt(F) snd(F) soundcore(F) mac_hid mei lp(F) parport(F) nfsd(F) binfmt_misc(F) auth_rpcgss(F) nfs_acl(F) nfs(F) lockd(F) sunrpc(F) fscache(F) nls_iso8859_1(F) ext2(F) btrfs(F) zlib_deflate(F) libcrc32c(F) raid10(F) raid456(F) async_memcpy(F) async_raid6_recov(F) async_pq(F) async_xor(F) xor(F) async_tx(F) raid6_pq(F) raid0(F) multipath(F) linear(F) raid1(F) hid_logitech_dj usbhid hid ghash_clmulni_intel(F) aesni_intel(F) aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) r8169 ahci(F) libahci(F)
[ 8.876024] CPU 2
[ 8.876031] Pid: 899, comm: modprobe Tainted: PF O 3.8.0-18-generic #28-Ubuntu MotherBoard By ZOTAC MotherBoard H67ITX-C-E/H67ITX-C-E
[ 8.877612] RIP: 0010:[<ffffffffa0637730>] [<ffffffffa0637730>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 8.878765] RSP: 0018:ffff880424f2dac0 EFLAGS: 00010283
[ 8.879358] RAX: 0000000000000008 RBX: 0000000000000004 RCX: 0000000000000004
[ 8.879961] RDX: ffff88042428ffd8 RSI: ffff88042428ffe0 RDI: ffff880422f9c420
[ 8.880567] RBP: ffff880424f2daf8 R08: 0000000000000001 R09: 0000000000000002
[ 8.881179] R10: 0000000000000000 R11: 0000000000000000 R12: ffff880422f9c000
[ 8.881791] R13: 0000000000000000 R14: 0000000000000004 R15: ffff880424290000
[ 8.882399] FS: 00007f9aec2b6740(0000) GS:ffff88043f480000(0000) knlGS:0000000000000000
[ 8.883022] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 8.883647] CR2: ffff88042428ffe0 CR3: 000000042056d000 CR4: 00000000000407e0
[ 8.884286] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 8.884935] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 8.885584] Process modprobe (pid: 899, threadinfo ffff880424f2c000, task ffff8804222e9740)
[ 8.886256] Stack:
[ 8.886914] 00000000ffffffff ffffffffa0630004 ffffffffa06393a8 0000000000000000
[ 8.887597] ffff880422f9c000 00000000ffffffff ffffffffa063b000 ffff880424f2db58
[ 8.888289] ffffffffa05e2186 6430313a41444858 30312c6230303065 302c313031306564
[ 8.888988] Call Trace:
[ 8.889673] [<ffffffffa05e2186>] snd_hda_codec_configure+0x146/0x440 [snd_hda_codec]
[ 8.890373] [<ffffffffa05942f0>] azx_probe_continue+0x3a0/0x4f0 [snd_hda_intel]
[ 8.891067] [<ffffffffa05928b0>] ? azx_attach_pcm_stream+0x1e0/0x1e0 [snd_hda_intel]
[ 8.8...

Read more...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu.
Ubuntu 13.04 (raring) reached end-of-life on January 27, 2014.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested in discussing it any more. But if you are then please upgrade to the latest Ubuntu version and re-test.

Changed in pulseaudio (Ubuntu):
status: New → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for pulseaudio (Ubuntu) because there has been no activity for 60 days.]

Changed in pulseaudio (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers